For the complete documentation index, see llms.txt. Markdown versions of the documentation pages are available from that index.
solscan logo
Register NowRegister Now

Download data snapshot file

get

https://pro-api-dev.solscan.io/v2.0/export/file/download-snapshot

Download data snapshot file

QUERY PARAMS

file_type

string

required

File Type

Enum Description:

  • token_metadata_snapshot: Data in the same format as token meta api(https://pro-api.solscan.io/v2.0/token/meta)

  • address_label_snapshot: Data in the same format as account meta api(https://pro-api.solscan.io/v2.0/account/metadata)

scope

string

Scope for each type of snapshot file. Get scopes from scope api(https://pro-api.solscan.io/v2.0/export/file/snapshot-scopes)

RESPONSES

200

OK

Response Body (application/json)

success

boolean

Request status

file_id

string

File id

file_name

string

File name

file_type

string

File type

file_size

string

The size of file

from_time

string

The inclusive start time for data collection in UTC format (e.g., '2025-11-28T05:31:13.888Z')

to_time

string

The exclusive end time for data collection in UTC format (e.g., '2025-11-28T05:31:13.888Z')

updated_time

string

The timestamp when the record was last updated in UTC format (e.g., '2025-11-28T05:31:13.888Z')

download_url

string

The download url

url_expire_time

string

The timestamp when the download link is expired in UTC format (e.g., '2025-11-28T05:31:13.888Z')

400

Bad Request

Response Body (application/json)

401

Authentication failed

Response Body (application/json)

429

Too Many Requests

Response Body (application/json)

500

Internal Server Error

Response Body (application/json)

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples